## sbcl 2.2.3

=== debian/changelog ===
sbcl (2:2.2.3-2maysync1) kinetic; urgency=medium

  * Bootstrap for ppc64le (LP: #1968579).

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 12 Jul 2022 16:30:55 -0300

sbcl (2:2.2.3-2) unstable; urgency=medium

  [ Michael Biebl ]
  * Add support for systemd-binfmt (Closes: #1012354).

  [ Sean Whitton ]
  * Add myself to Uploaders.
  * Drop d/source/local-options for dgit compatibility.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 27 Jun 2022 17:20:48 -0700

sbcl (2:2.2.3-1) unstable; urgency=medium

  * New upstream release.
  * vop-existsp-test.patch: drop patch, applied upstream
  * ignore-test-side-effect.patch: new patch, fixes test failure
  * Add myself to uploaders
  * Add Salsa CI/CD configuration in debian/salsa-ci.yml
  * Add --with-sb-linkable-runtime to armel armhf arm64
  * Fix architecture detection during CI build on Salsa
  * Add sbcl-source to list of autopkgtest deps
  * Fix autopkgtest by setting C_INCLUDE_PATH for sbcl.h
  * Disable failing Salsa CI tests

 -- Kambiz Darabi <darabi@m-creations.net>  Tue, 26 Apr 2022 10:33:33 +0200

=== debian/control ===
Source: sbcl
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
           Christoph Egger <christoph@debian.org>,
           Sébastien Villemot <sebastien@debian.org>,
           Kambiz Darabi <darabi@m-creations.net>,
           Sean Whitton <spwhitton@spwhitton.name>
Section: lisp
Priority: optional
Build-Depends: debhelper-compat (= 13),
               debhelper (>= 12.8~),
# Arch list to keep in sync with debian/rules
               clisp [!amd64 !arm64 !armel !armhf !i386 !kfreebsd-amd64 !powerpc !ppc64 !riscv64 !sh4],
               ecl [riscv64 sh4],
               sbcl [amd64 arm64 armel armhf i386 kfreebsd-amd64 powerpc ppc64],
               sbcl-source,
               texinfo,
               zlib1g-dev,
               texlive-extra-utils,
               texlive,
               graphviz,
               ghostscript,
               texlive-plain-generic,
               texlive-font-utils,
               cm-super-minimal,
               time,
               netbase,
               ed,
               strace [!kfreebsd-amd64 !kfreebsd-i386]
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/common-lisp-team/sbcl
Vcs-Git: https://salsa.debian.org/common-lisp-team/sbcl.git
Homepage: http://www.sbcl.org
Rules-Requires-Root: no

Package: sbcl
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: binfmt-support | systemd
Suggests: sbcl-doc,
          sbcl-source,
          slime
Breaks: cl-asdf (<< 2:3.3.3-4~),
        cl-cffi (<< 1:0.22.1-1~),
        cl-nibbles (<< 20210520.gitdad2524-1~)
Provides: lisp-compiler,
          ${sbcl:fasl-version}
Description: Common Lisp compiler and development system
 SBCL is a development environment for the ANSI Common Lisp language.
 It provides a native-code compiler and an integrated debugger, as well
 as all the features in the ANSI specification.
 .
 SBCL also contains other extensions to the ANSI specification, including
 a foreign-function interface, a pseudo-server API, user-extensible
 stream functionality, a Meta-Object Protocol, and an ability to run
 external processes.
 .
 To browse SBCL source definitions with development environments,
 install the sbcl-source package. For documentation on SBCL's usage
 and internals, the package sbcl-doc is provided.

Package: sbcl-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Documentation for Steel Bank Common Lisp
 This package provides documentation for SBCL -- a development
 environment for the ANSI Common Lisp language.
 .
 The documents in this package cover SBCL-specific extensions to the
 language, explain how to use this Common Lisp implementation and how
 it differs from the ANSI standard.
 .
 The manual about SBCL's internals is also included in this package
 and may be of interest for people who intent to work with SBCL's
 source code.

Package: sbcl-source
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Source code files for SBCL
 This package provides the source code for SBCL -- a development
 environment for the ANSI Common Lisp language.
 .
 The source code is useful in conjunction with development
 environments and debuggers like SLIME, that allow macro expansion and
 lookup of source definitions.
 .
 Installing this package enables your source browser to dig deeply
 into the core of Steel Bank Common Lisp.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DH_VERBOSE=1

# Try to build with clisp by default on archs for which sbcl has not yet been bootstrapped
# (or with ecl if clisp is not available).
# Those lists must be kept in sync with the Build-Depends field.
# As soon as a new arch is bootstrapped, the lists should be updated.
# See https://bugs.debian.org/954031
ifeq (,$(filter amd64 arm64 armel armhf i386 kfreebsd-amd64 powerpc ppc64, $(DEB_HOST_ARCH)))
ifneq (,$(filter riscv64 sh4, $(DEB_HOST_ARCH)))
        BOOTSTRAPLISP := /usr/bin/ecl --norc
else
	BOOTSTRAPLISP := /usr/bin/clisp -norc
endif
endif

ifeq (,$(BOOTSTRAPLISP))
	BOOTSTRAPLISP := /usr/bin/sbcl --disable-debugger --no-sysinit --no-userinit
endif

# Fix architecture detection on ppc64, see #939453
ifeq (ppc64,$(DEB_HOST_ARCH))
	export SBCL_ARCH=ppc64
endif

# Fix architecture detection on i386 in Salsa CI
ifeq (i386,$(DEB_HOST_ARCH))
	export SBCL_ARCH=x86
endif

FEATURES := --fancy

ifneq (,$(filter amd64 i386 armel armhf arm64, $(DEB_HOST_ARCH)))
	FEATURES += --with-sb-linkable-runtime
endif

ifneq (,$(filter kfreebsd-%,$(DEB_HOST_ARCH)))
	FEATURES += --with-os-provides-dlopen --with-sb-pthread-futex
endif

%:
	dh $@

override_dh_auto_configure:
	# See doc/PACKAGING-SBCL.txt
	echo "\"$(DEB_VERSION_UPSTREAM).debian\"" > version.lisp-expr

override_dh_auto_build:
	# Create stage 1
	./make.sh --xc-host="$(BOOTSTRAPLISP)" --prefix=$(CURDIR)/stage1 $(FEATURES)
	./install.sh
	chmod 100 stage1 # Make stage 1 unreadable (only executable), to avoid messing with the stage 2
	./clean.sh

	# Create stage 2
	./make.sh --xc-host="$(CURDIR)/stage1/bin/sbcl --disable-debugger --no-sysinit --no-userinit" --prefix=/usr $(FEATURES)

	# Set the source location in core image
	HOME="$(CURDIR)" src/runtime/sbcl --core output/sbcl.core --no-sysinit --no-userinit \
                         --eval '(sb-ext:set-sbcl-source-location "/usr/share/sbcl-source/")' \
	                 --eval '(sb-ext:save-lisp-and-die "output/sbcl.core")'

	chmod 700 stage1 # Do not leave stage1 unreadable (to avoid FTBFS on some Ubuntu buildds)

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	make -C doc/internals all html
	cd doc/manual && make docstrings && make
endif

# Run the testsuite, and fail on errors only on amd64, arm64 and i386
override_dh_auto_test:
	{ cd tests && ./run-tests.sh; } || { [ "$(DEB_HOST_ARCH)" != amd64 ] && [ "$(DEB_HOST_ARCH)" != arm64 ] && [ "$(DEB_HOST_ARCH)" != i386 ]; }

override_dh_auto_clean:
	-chmod 700 stage1
	rm -rf stage1
	./clean.sh
	rm -f version.lisp-expr

override_dh_auto_install:
	INSTALL_ROOT="$(CURDIR)/debian/tmp/usr" ./install.sh

execute_after_dh_install-arch:
	cp debian/binfmt debian/sbcl/usr/share/binfmts/sbcl

execute_after_dh_install-indep:
	find debian/sbcl-source/usr/share/sbcl-source -type f \( -name \*.fasl -or -name \*.o -or -name \*.log -or -name \*.so -or -name *.a -or -name a.out -or -name LICENSE -or -name COPYING \) -delete
	rm -f debian/sbcl-source/usr/share/sbcl-source/src/runtime/sbcl \
		debian/sbcl-source/usr/share/sbcl-source/src/runtime/sbcl.nm \
		debian/sbcl-source/usr/share/sbcl-source/src/runtime/shrinkwrap-sbcl \
		debian/sbcl-source/usr/share/sbcl-source/src/runtime/heap-reloc-test

execute_before_dh_gencontrol:
	# Add the FASL version of this release to substvars
	HOME="$(CURDIR)" src/runtime/sbcl --core output/sbcl.core --no-sysinit --no-userinit --load "debian/fasl-version.lisp"

## sbcl 2.2.6

=== contrib/Makefile ===
vpath %.fasl ../obj/sbcl-home/contrib/

contribs = asdf sb-posix sb-bsd-sockets sb-introspect sb-cltl2 sb-aclrepl \
     sb-sprof sb-capstone sb-md5 sb-capstone sb-executable sb-gmp sb-mpfr \
     sb-queue sb-rotate-byte sb-simple-streams sb-concurrency sb-cover \
     sb-graph sb-simd

active_contribs = $(filter-out $(SBCL_CONTRIB_BLOCKLIST),$(contribs))

fasls = $(active_contribs:=.fasl)

all: $(fasls)

asdf.fasl:
	sh ./build-contrib $(basename $(@F))
sb-grovel.fasl: asdf.fasl
	sh ./build-contrib $(basename $(@F))
sb-rt.fasl: asdf.fasl
	sh ./build-contrib $(basename $(@F))
sb-posix.fasl: asdf.fasl sb-grovel.fasl sb-rt.fasl
	sh ./build-contrib $(basename $(@F))
sb-bsd-sockets.fasl: asdf.fasl sb-grovel.fasl sb-posix.fasl sb-rt.fasl
	sh ./build-contrib $(basename $(@F))
sb-cltl2.fasl: asdf.fasl sb-rt.fasl
	sh ./build-contrib $(basename $(@F))
sb-aclrepl.fasl: asdf.fasl sb-rt.fasl
	sh ./build-contrib $(basename $(@F))
sb-concurrency.fasl: asdf.fasl sb-rt.fasl
	sh ./build-contrib $(basename $(@F))
sb-sprof.fasl: asdf.fasl
	sh ./build-contrib $(basename $(@F))
sb-introspect.fasl: asdf.fasl sb-rt.fasl
	sh ./build-contrib $(basename $(@F))
sb-capstone.fasl: asdf.fasl sb-rt.fasl
	sh ./build-contrib $(basename $(@F))
sb-md5.fasl: asdf.fasl sb-rotate-byte.fasl sb-rt.fasl
	sh ./build-contrib $(basename $(@F))
sb-cover.fasl: asdf.fasl sb-md5.fasl
	sh ./build-contrib $(basename $(@F))
sb-executable.fasl: asdf.fasl
	sh ./build-contrib $(basename $(@F))
sb-gmp.fasl: asdf.fasl sb-rt.fasl
	sh ./build-contrib $(basename $(@F))
sb-mpfr.fasl: asdf.fasl sb-gmp.fasl sb-rt.fasl
	sh ./build-contrib $(basename $(@F))
sb-queue.fasl: asdf.fasl sb-concurrency.fasl
	sh ./build-contrib $(basename $(@F))
sb-rotate-byte.fasl: asdf.fasl
	sh ./build-contrib $(basename $(@F))
sb-simple-streams.fasl: asdf.fasl sb-posix.fasl sb-bsd-sockets.fasl sb-rt.fasl
	sh ./build-contrib $(basename $(@F))
sb-graph.fasl: asdf.fasl sb-rt.fasl
	sh ./build-contrib $(basename $(@F))
sb-simd.fasl: asdf.fasl
	sh ./build-contrib $(basename $(@F))

=== debian/changelog ===
sbcl (2:2.2.6-2) unstable; urgency=medium

  * Add take-contrib-blocklist-into-account-for-doc-generation.patch
    (Closes: #1016045).

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 28 Jul 2022 14:09:44 -0700

sbcl (2:2.2.6-1) unstable; urgency=medium

  * New upstream release.
    - Update build-dep zlib -> zstd for upstream change.
  * Drop ignore-test-side-effect.patch.
    Fixed upstream.
  * Add Fix-hide-packages-test-if-configured-with-xref-for-intern.patch.
  * Refresh remaining patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 24 Jul 2022 22:06:26 -0700

## sbcl 2.2.7

=== debian/changelog ===
sbcl (2:2.2.7-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches applied upstream.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 21 Aug 2022 15:46:32 -0700

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sbcl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
+Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
            Christoph Egger <christoph@debian.org>,
            Sébastien Villemot <sebastien@debian.org>,
@@ -11,12 +10,12 @@
 Build-Depends: debhelper-compat (= 13),
                debhelper (>= 12.8~),
 # Arch list to keep in sync with debian/rules
-               clisp [!amd64 !arm64 !armel !armhf !i386 !kfreebsd-amd64 !powerpc !ppc64 !riscv64 !sh4],
+               clisp [!amd64 !arm64 !armel !armhf !i386 !kfreebsd-amd64 !powerpc !ppc64 !ppc64el !riscv64 !sh4],
                ecl [riscv64 sh4],
-               sbcl [amd64 arm64 armel armhf i386 kfreebsd-amd64 powerpc ppc64],
+               sbcl [amd64 arm64 armel armhf i386 kfreebsd-amd64 powerpc ppc64 ppc64el],
                sbcl-source,
                texinfo,
-               zlib1g-dev,
+               libzstd-dev,
                texlive-extra-utils,
                texlive,
                graphviz,

## sbcl 2.2.8

=== debian/changelog ===
sbcl (2:2.2.8-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 04 Sep 2022 14:40:04 -0700

## sbcl 2.2.9

=== contrib/Makefile ===
vpath %.fasl ../obj/sbcl-home/contrib/

contribs = asdf sb-posix sb-bsd-sockets sb-introspect sb-cltl2 sb-aclrepl \
     sb-sprof sb-capstone sb-md5 sb-capstone sb-executable sb-gmp sb-mpfr \
     sb-queue sb-rotate-byte sb-rt sb-simple-streams sb-concurrency sb-cover \
     sb-graph sb-simd

active_contribs = $(filter-out $(SBCL_CONTRIB_BLOCKLIST),$(contribs))

fasls = $(active_contribs:=.fasl)

all: $(fasls)

asdf.fasl:
	sh ./build-contrib $(basename $(@F))
sb-grovel.fasl: asdf.fasl
	sh ./build-contrib $(basename $(@F))
sb-rt.fasl: asdf.fasl
	sh ./build-contrib $(basename $(@F))
sb-posix.fasl: asdf.fasl sb-grovel.fasl
	sh ./build-contrib $(basename $(@F))
sb-bsd-sockets.fasl: asdf.fasl sb-grovel.fasl sb-posix.fasl
	sh ./build-contrib $(basename $(@F))
sb-cltl2.fasl: asdf.fasl
	sh ./build-contrib $(basename $(@F))
sb-aclrepl.fasl: asdf.fasl
	sh ./build-contrib $(basename $(@F))
sb-concurrency.fasl: asdf.fasl
	sh ./build-contrib $(basename $(@F))
sb-sprof.fasl: asdf.fasl
	sh ./build-contrib $(basename $(@F))
sb-introspect.fasl: asdf.fasl
	sh ./build-contrib $(basename $(@F))
sb-capstone.fasl: asdf.fasl
	sh ./build-contrib $(basename $(@F))
sb-md5.fasl: asdf.fasl sb-rotate-byte.fasl
	sh ./build-contrib $(basename $(@F))
sb-cover.fasl: asdf.fasl sb-md5.fasl
	sh ./build-contrib $(basename $(@F))
sb-executable.fasl: asdf.fasl
	sh ./build-contrib $(basename $(@F))
sb-gmp.fasl: asdf.fasl
	sh ./build-contrib $(basename $(@F))
sb-mpfr.fasl: asdf.fasl sb-gmp.fasl
	sh ./build-contrib $(basename $(@F))
sb-queue.fasl: asdf.fasl sb-concurrency.fasl
	sh ./build-contrib $(basename $(@F))
sb-rotate-byte.fasl: asdf.fasl
	sh ./build-contrib $(basename $(@F))
sb-simple-streams.fasl: asdf.fasl sb-posix.fasl sb-bsd-sockets.fasl
	sh ./build-contrib $(basename $(@F))
sb-graph.fasl: asdf.fasl
	sh ./build-contrib $(basename $(@F))
sb-simd.fasl: asdf.fasl
	sh ./build-contrib $(basename $(@F))

=== crossbuild-runner/Makefile ===
all: output/arm.core output/arm64.core output/mips.core output/ppc.core output/ppc64.core \
 output/riscv.core output/sparc.core output/x86.core output/x86-64.core

SBCL=src/runtime/sbcl
ARGS=--core output/sbcl.core --noinform --disable-debugger --noprint --no-userinit --no-sysinit
SCRIPT1=crossbuild-runner/pass-1.lisp
SCRIPT2=crossbuild-runner/pass-2.lisp
DEPS1=crossbuild-runner/pass-1.lisp src/cold/build-order.lisp-expr # FIXME: and all the sources, of course

obj/xbuild/arm/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) arm < $(SCRIPT1)
output/arm.core: obj/xbuild/arm/xc.core
	$(SBCL) $(ARGS) arm < $(SCRIPT2)

obj/xbuild/arm64/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) arm64 < $(SCRIPT1)
output/arm64.core: obj/xbuild/arm64/xc.core
	$(SBCL) $(ARGS) arm64 < $(SCRIPT2)

obj/xbuild/mips/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) mips < $(SCRIPT1)
output/mips.core: obj/xbuild/mips/xc.core
	$(SBCL) $(ARGS) mips < $(SCRIPT2)

obj/xbuild/ppc/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) ppc < $(SCRIPT1)
output/ppc.core: obj/xbuild/ppc/xc.core
	$(SBCL) $(ARGS) ppc < $(SCRIPT2)

obj/xbuild/ppc64/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) ppc64 < $(SCRIPT1)
output/ppc64.core: obj/xbuild/ppc64/xc.core
	$(SBCL) $(ARGS) ppc64 < $(SCRIPT2)

obj/xbuild/riscv/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) riscv < $(SCRIPT1)
output/riscv.core: obj/xbuild/riscv/xc.core
	$(SBCL) $(ARGS) riscv < $(SCRIPT2)

obj/xbuild/sparc/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) sparc < $(SCRIPT1)
output/sparc.core: obj/xbuild/sparc/xc.core
	$(SBCL) $(ARGS) sparc < $(SCRIPT2)

obj/xbuild/x86/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) x86 < $(SCRIPT1)
output/x86.core: obj/xbuild/x86/xc.core
	$(SBCL) $(ARGS) x86 < $(SCRIPT2)

obj/xbuild/x86-64/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) x86-64 < $(SCRIPT1)
output/x86-64.core: obj/xbuild/x86-64/xc.core
	$(SBCL) $(ARGS) x86-64 < $(SCRIPT2)

=== tools-for-build/Makefile ===
# This software is part of the SBCL system. See the README file for
# more information.
#
# This software is derived from the CMU CL system, which was
# written at Carnegie Mellon University and released into the
# public domain. The software is in the public domain and is
# provided with absolutely no warranty. See the COPYING and CREDITS
# files for more information.

-include genesis/Makefile.features # for grovel-headers
-include Config

# Do not append to CFLAGS otherwise -I can override the -I below.
CFLAGS:=-I../src/runtime $(CFLAGS)
LDFLAGS:=$(LDFLAGS)
LDLIBS:=$(OS_LIBS)

all: grovel-headers determine-endianness where-is-mcontext mmap-rwx

clean:
	rm -f *.o grovel-headers determine-endianness where-is-mcontext mmap-rwx
	rm -f *.exe

=== contrib/asdf/Makefile ===
DEST=$(SBCL_TOP)/obj/sbcl-home/contrib/
ASDF_FASL=$(DEST)/asdf.fasl
UIOP_FASL=$(DEST)/uiop.fasl
FASL=$(UIOP_FASL) $(ASDF_FASL)
FROB_READTABLE='(setf (sb-ext:readtable-base-char-preference *readtable*) :both)'

fasl:: $(UIOP_FASL) $(ASDF_FASL)
$(UIOP_FASL):: uiop.lisp ../../output/sbcl.core
	mkdir -p $(DEST)
	$(SBCL) --eval $(FROB_READTABLE) --eval '(compile-file #p"SYS:CONTRIB;ASDF;UIOP.LISP" :print nil :output-file (merge-pathnames (parse-native-namestring "$@")))' </dev/null

$(ASDF_FASL):: asdf.lisp ../../output/sbcl.core $(UIOP_FASL)
	if [ -d asdf-upstream ] ; then rm -rf asdf-upstream ; fi
	mkdir -p $(DEST)
	$(SBCL) --eval $(FROB_READTABLE) --eval '(compile-file #p"SYS:CONTRIB;ASDF;ASDF.LISP" :print nil :output-file (merge-pathnames (parse-native-namestring "$@")))' </dev/null

install::
	cp $(FASL) "$(BUILD_ROOT)$(INSTALL_DIR)"

build:: $(FASL)
	true
test:: $(FASL)
	true

UPSTREAM=../../obj/asdf-upstream
up::
	sh pull-asdf.sh

=== debian/changelog ===
sbcl (2:2.2.9-1ubuntu2) lunar; urgency=medium

  * d/rules: Fix typo in the last upload.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 07 Feb 2023 19:54:20 -0500

sbcl (2:2.2.9-1ubuntu1) lunar; urgency=medium

  * d/rules: Disable LTO on arm64 to fix FTBFS. (LP: #2006524)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 07 Feb 2023 19:37:37 -0500

sbcl (2:2.2.9-1) unstable; urgency=medium

  [ Sean Whitton ]
  * New upstream release.
  * Drop Cargo-cult-some-linkable-runtime-stuff.patch.
    Included in this release.
  * Refresh remaining patches.

  [ Sébastien Villemot ]
  * Remove myself from Uploaders

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 05 Oct 2022 10:15:23 -0700

sbcl (2:2.2.8-2) unstable; urgency=medium

  * Add Cargo-cult-some-linkable-runtime-stuff.patch.
    This should fix the build on armel, armhf and arm64.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 17 Sep 2022 17:44:25 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: sbcl
-Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
            Christoph Egger <christoph@debian.org>,
-           Sébastien Villemot <sebastien@debian.org>,
            Kambiz Darabi <darabi@m-creations.net>,
            Sean Whitton <spwhitton@spwhitton.name>
 Section: lisp

=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,19 @@
 
 export DH_VERBOSE=1
 
+# Disable LTO on arm64.
+# LP: #2006524
+# Debian bug #1015656
+ifeq (arm64,$(DEB_HOST_ARCH))
+export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
+endif
+
 # Try to build with clisp by default on archs for which sbcl has not yet been bootstrapped
 # (or with ecl if clisp is not available).
 # Those lists must be kept in sync with the Build-Depends field.
 # As soon as a new arch is bootstrapped, the lists should be updated.
 # See https://bugs.debian.org/954031
-ifeq (,$(filter amd64 arm64 armel armhf i386 kfreebsd-amd64 powerpc ppc64, $(DEB_HOST_ARCH)))
+ifeq (,$(filter amd64 arm64 armel armhf i386 kfreebsd-amd64 powerpc ppc64 ppc64el, $(DEB_HOST_ARCH)))
 ifneq (,$(filter riscv64 sh4, $(DEB_HOST_ARCH)))
         BOOTSTRAPLISP := /usr/bin/ecl --norc
 else

=== debian/tests/control ===
Test-Command: cd tests && env TEST_SBCL_HOME=/usr/lib/sbcl TEST_SBCL_RUNTIME=/usr/bin/sbcl TEST_SBCL_CORE=/usr/lib/sbcl/sbcl.core ASDF_OUTPUT_TRANSLATIONS="/:${AUTOPKGTEST_TMP}" C_INCLUDE_PATH=/usr/share/sbcl-source/src/runtime/ ./run-tests.sh
Depends: sbcl, sbcl-source, gcc, libc6-dev | libc-dev, ed, strace
Restrictions: allow-stderr

## sbcl 2.3.7

=== tools-for-build/Makefile ===
--- 
+++ 
@@ -15,8 +15,9 @@
 LDFLAGS:=$(LDFLAGS)
 LDLIBS:=$(OS_LIBS)
 
-all: grovel-headers determine-endianness where-is-mcontext mmap-rwx
+all: grovel-headers determine-endianness where-is-mcontext mmap-rwx avx2
 
 clean:
-	rm -f *.o grovel-headers determine-endianness where-is-mcontext mmap-rwx
+	rm -f *.o grovel-headers determine-endianness where-is-mcontext mmap-rwx avx2
 	rm -f *.exe
+	rm -fr *.dSYM

=== debian/changelog ===
sbcl (2:2.3.7-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:57:40 +1100

sbcl (2:2.3.7-2) unstable; urgency=medium

  * Disable genheaders.test.sh under autopkgtest.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 02 Aug 2023 15:09:31 +0100

sbcl (2:2.3.7-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 01 Aug 2023 11:26:51 +0100

sbcl (2:2.3.6-2) unstable; urgency=medium

  * Disable tests/traceroot.impure.lisp on arm64 to fix FTBFS there.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 22 Jul 2023 17:56:30 +0100

sbcl (2:2.3.6-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 14 Jul 2023 21:04:26 +0100

## sbcl 2.4.5

=== debian/changelog ===
sbcl (2:2.4.5-1) unstable; urgency=medium

  * New upstream release.
  * Switch to git-debrebase(1) git workflow.
    - Add README.source pointing to dgit-maint-debrebase(7).
    - Remove inactive team members from Uploaders.
      Those still interested in the package should feel free to reinstate
      themselves there, and thereby acknowledge the workflow change.
  * d/rules: Don't install src/runtime/ldb to bin:sbcl-source.
  * Drop disable-tests-traceroot.impure.lisp-on-arm64.patch.
    Equivalent change made upstream.
  * Patch tools-for-build/canonicalize-whitespace.lisp to exclude stage1/.
  * Backport upstream commit dc890089a to fix hide-packages.test.sh.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 31 May 2024 17:53:28 +0100

## sbcl 2.4.6

=== crossbuild-runner/Makefile ===
SBCL=src/runtime/sbcl
ARGS=--core output/sbcl.core --noinform --disable-debugger --noprint --no-userinit --no-sysinit
SCRIPT1=crossbuild-runner/pass-1.lisp
SCRIPT2=crossbuild-runner/pass-2.lisp
DEPS1=crossbuild-runner/pass-1.lisp src/cold/build-order.lisp-expr

obj/xbuild/arm/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) arm arm "(:UNIX :LINUX :ELF :LITTLE-ENDIAN :LARGEFILE)" < $(SCRIPT1)
obj/xbuild/arm.core: obj/xbuild/arm/xc.core
	$(SBCL) $(ARGS) arm < $(SCRIPT2)

obj/xbuild/arm64/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) arm64 arm64 "(:UNIX :LINUX :ELF :LITTLE-ENDIAN :SB-THREAD)" < $(SCRIPT1)
obj/xbuild/arm64.core: obj/xbuild/arm64/xc.core
	$(SBCL) $(ARGS) arm64 < $(SCRIPT2)

obj/xbuild/arm64-darwin/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) arm64-darwin arm64 "(:DARWIN :BSD :UNIX :MACH-O :LITTLE-ENDIAN :SB-THREAD :DARWIN-JIT)" < $(SCRIPT1)
obj/xbuild/arm64-darwin.core: obj/xbuild/arm64-darwin/xc.core
	$(SBCL) $(ARGS) arm64-darwin < $(SCRIPT2)

obj/xbuild/arm64-reloc/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) arm64-reloc arm64 "(:UNIX :LINUX :ELF :LITTLE-ENDIAN :SB-THREAD :RELOCATABLE-STATIC-SPACE)" < $(SCRIPT1)
obj/xbuild/arm64-reloc.core: obj/xbuild/arm64-reloc/xc.core
	$(SBCL) $(ARGS) arm64-reloc < $(SCRIPT2)

obj/xbuild/mips/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) mips mips "(:UNIX :LINUX :ELF :LARGEFILE :LITTLE-ENDIAN)" < $(SCRIPT1)
obj/xbuild/mips.core: obj/xbuild/mips/xc.core
	$(SBCL) $(ARGS) mips < $(SCRIPT2)

obj/xbuild/ppc/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) ppc ppc "(:UNIX :LINUX :ELF :BIG-ENDIAN)" < $(SCRIPT1)
obj/xbuild/ppc.core: obj/xbuild/ppc/xc.core
	$(SBCL) $(ARGS) ppc < $(SCRIPT2)

obj/xbuild/ppc-thread/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) ppc-thread ppc "(:UNIX :LINUX :ELF :BIG-ENDIAN :SB-THREAD)" < $(SCRIPT1)
obj/xbuild/ppc-thread.core: obj/xbuild/ppc-thread/xc.core
	$(SBCL) $(ARGS) ppc-thread < $(SCRIPT2)

obj/xbuild/ppc64/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) ppc64 ppc64 "(:UNIX :LINUX :ELF :PPC64 :BIG-ENDIAN)" < $(SCRIPT1)
obj/xbuild/ppc64.core: obj/xbuild/ppc64/xc.core
	$(SBCL) $(ARGS) ppc64 < $(SCRIPT2)

obj/xbuild/riscv/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) riscv riscv "(:UNIX :LINUX :ELF :64-BIT :LITTLE-ENDIAN :SB-THREAD)" < $(SCRIPT1)
obj/xbuild/riscv.core: obj/xbuild/riscv/xc.core
	$(SBCL) $(ARGS) riscv < $(SCRIPT2)

obj/xbuild/sparc/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) sparc sparc "(:UNIX :LINUX :ELF :BIG-ENDIAN)" < $(SCRIPT1)
obj/xbuild/sparc.core: obj/xbuild/sparc/xc.core
	$(SBCL) $(ARGS) sparc < $(SCRIPT2)

obj/xbuild/sparc-sunos/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) sparc-sunos sparc "(:BIG-ENDIAN :UNIX :SUNOS :ELF)" < $(SCRIPT1)
obj/xbuild/sparc-sunos.core: obj/xbuild/sparc-sunos/xc.core
	$(SBCL) $(ARGS) sparc-sunos < $(SCRIPT2)

obj/xbuild/x86/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) x86 x86 "(:WIN32 :SB-THREAD :SB-SAFEPOINT :LITTLE-ENDIAN :LARGEFILE (NOT :SB-EVAL) :SB-FASTEVAL)" < $(SCRIPT1)
obj/xbuild/x86.core: obj/xbuild/x86/xc.core
	$(SBCL) $(ARGS) x86 < $(SCRIPT2)

obj/xbuild/x86-ascii/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) x86-ascii x86 "(:WIN32 :SB-THREAD :SB-SAFEPOINT :LITTLE-ENDIAN :LARGEFILE (NOT :SB-UNICODE))" < $(SCRIPT1)
obj/xbuild/x86-ascii.core: obj/xbuild/x86-ascii/xc.core
	$(SBCL) $(ARGS) x86-ascii < $(SCRIPT2)

obj/xbuild/x86-thread/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) x86-thread x86 "(:WIN32 :SB-THREAD :SB-SAFEPOINT :LITTLE-ENDIAN :LARGEFILE :SB-THREAD)" < $(SCRIPT1)
obj/xbuild/x86-thread.core: obj/xbuild/x86-thread/xc.core
	$(SBCL) $(ARGS) x86-thread < $(SCRIPT2)

obj/xbuild/x86-linux/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) x86-linux x86 "(:LITTLE-ENDIAN :LARGEFILE :SB-THREAD :LINUX :UNIX :ELF :SB-THREAD)" < $(SCRIPT1)
obj/xbuild/x86-linux.core: obj/xbuild/x86-linux/xc.core
	$(SBCL) $(ARGS) x86-linux < $(SCRIPT2)

obj/xbuild/x86-64/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) x86-64 x86-64 "(:WIN32 :SB-THREAD :SB-SAFEPOINT :LITTLE-ENDIAN :AVX2 :GENCGC :SB-SIMD-PACK :SB-SIMD-PACK-256)" < $(SCRIPT1)
obj/xbuild/x86-64.core: obj/xbuild/x86-64/xc.core
	$(SBCL) $(ARGS) x86-64 < $(SCRIPT2)

obj/xbuild/x86-64-linux/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) x86-64-linux x86-64 "(:LINUX :UNIX :ELF :LITTLE-ENDIAN :AVX2 :GENCGC :SB-SIMD-PACK :SB-SIMD-PACK-256 (NOT :SB-EVAL) :SB-FASTEVAL)" < $(SCRIPT1)
obj/xbuild/x86-64-linux.core: obj/xbuild/x86-64-linux/xc.core
	$(SBCL) $(ARGS) x86-64-linux < $(SCRIPT2)

obj/xbuild/x86-64-darwin/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) x86-64-darwin x86-64 "(:DARWIN :BSD :UNIX :MACH-O :LITTLE-ENDIAN :AVX2 :GENCGC :SB-SIMD-PACK :SB-SIMD-PACK-256)" < $(SCRIPT1)
obj/xbuild/x86-64-darwin.core: obj/xbuild/x86-64-darwin/xc.core
	$(SBCL) $(ARGS) x86-64-darwin < $(SCRIPT2)

obj/xbuild/x86-64-imm/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) x86-64-imm x86-64 "(:WIN32 :SB-THREAD :SB-SAFEPOINT :LITTLE-ENDIAN :AVX2 :GENCGC :SB-SIMD-PACK :SB-SIMD-PACK-256 :IMMOBILE-SPACE)" < $(SCRIPT1)
obj/xbuild/x86-64-imm.core: obj/xbuild/x86-64-imm/xc.core
	$(SBCL) $(ARGS) x86-64-imm < $(SCRIPT2)

obj/xbuild/x86-64-permgen/xc.core: $(DEPS1)
	$(SBCL) $(ARGS) x86-64-permgen x86-64 "(:WIN32 :SB-THREAD :SB-SAFEPOINT :LITTLE-ENDIAN :AVX2 :GENCGC :SB-SIMD-PACK :SB-SIMD-PACK-256 :PERMGEN)" < $(SCRIPT1)
obj/xbuild/x86-64-permgen.core: obj/xbuild/x86-64-permgen/xc.core
	$(SBCL) $(ARGS) x86-64-permgen < $(SCRIPT2)

=== debian/changelog ===
sbcl (2:2.4.6-1) unstable; urgency=medium

  * Update to new upstream version 2:2.4.6.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 22 Jul 2024 12:29:54 +0900

## sbcl 2.4.7~git20240721.1.7a19681d9

=== contrib/sb-sprof/Makefile ===
SYSTEM=sb-sprof
include ../asdf-module.mk

=== debian/changelog ===
sbcl (2:2.4.7~git20240721.1.7a19681d9-1) unstable; urgency=medium

  * Update to new upstream snapshot.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 23 Jul 2024 13:27:48 +0900

## sbcl 2.4.7

=== debian/changelog ===
sbcl (2:2.4.7-1) unstable; urgency=medium

  * Update to new upstream version 2:2.4.7.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 06 Aug 2024 11:01:13 +0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,6 @@
 Source: sbcl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
-Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
-           Christoph Egger <christoph@debian.org>,
-           Kambiz Darabi <darabi@m-creations.net>,
-           Sean Whitton <spwhitton@spwhitton.name>
+Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
+Uploaders: Sean Whitton <spwhitton@spwhitton.name>
 Section: lisp
 Priority: optional
 Build-Depends: debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,6 @@
 include /usr/share/dpkg/default.mk
 
 export DH_VERBOSE=1
-
-# Disable LTO on arm64.
-# LP: #2006524
-# Debian bug #1015656
-ifeq (arm64,$(DEB_HOST_ARCH))
-export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
-endif
 
 # Try to build with clisp by default on archs for which sbcl has not yet been bootstrapped
 # (or with ecl if clisp is not available).
@@ -98,7 +91,8 @@
 	rm -f debian/sbcl-source/usr/share/sbcl-source/src/runtime/sbcl \
 		debian/sbcl-source/usr/share/sbcl-source/src/runtime/sbcl.nm \
 		debian/sbcl-source/usr/share/sbcl-source/src/runtime/shrinkwrap-sbcl \
-		debian/sbcl-source/usr/share/sbcl-source/src/runtime/heap-reloc-test
+		debian/sbcl-source/usr/share/sbcl-source/src/runtime/heap-reloc-test \
+		debian/sbcl-source/usr/share/sbcl-source/src/runtime/ldb
 
 execute_before_dh_gencontrol:
 	# Add the FASL version of this release to substvars

## sbcl 2.4.9+git20241010.1.465757f12

=== debian/changelog ===
sbcl (2:2.4.9+git20241010.1.465757f12-1) unstable; urgency=medium

  * Update to new upstream snapshot 2:2.4.9+git20241010.1.465757f12.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 10 Oct 2024 18:04:22 +0800

sbcl (2:2.4.9-1) unstable; urgency=medium

  * Update to new upstream version 2:2.4.9.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 30 Sep 2024 13:31:20 +0800

sbcl (2:2.4.8-1) unstable; urgency=medium

  * Update to new upstream version 2:2.4.8.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 26 Sep 2024 12:21:37 +0100

sbcl (2:2.4.7-2) unstable; urgency=medium

  * Enable debug printing in :WASTE-HEAP test.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 08 Aug 2024 09:27:42 +0800

## sbcl 2.4.11

=== debian/changelog ===
sbcl (2:2.4.11-1) unstable; urgency=medium

  * Update to new upstream version 2:2.4.11.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 06 Dec 2024 11:32:00 +0800

sbcl (2:2.4.10-2) unstable; urgency=medium

  [ Bo YU ]
  * Switch riscv64 to bootstrap with clisp (Closes: #1033731).

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 13 Nov 2024 18:57:27 +0800

sbcl (2:2.4.10-1) unstable; urgency=medium

  * Update to new upstream version 2:2.4.10.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 08 Nov 2024 10:40:48 +0800

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper-compat (= 13),
                debhelper (>= 12.8~),
 # Arch list to keep in sync with debian/rules
-               clisp [!amd64 !arm64 !armel !armhf !i386 !kfreebsd-amd64 !powerpc !ppc64 !ppc64el !riscv64 !sh4],
-               ecl [riscv64 sh4],
+               clisp [!amd64 !arm64 !armel !armhf !i386 !kfreebsd-amd64 !powerpc !ppc64 !ppc64el !sh4],
+               ecl [sh4],
                sbcl [amd64 arm64 armel armhf i386 kfreebsd-amd64 powerpc ppc64 ppc64el],
                sbcl-source,
                texinfo,

## sbcl 2.5.0

=== debian/changelog ===
sbcl (2:2.5.0-1) unstable; urgency=medium

  [ Peter Van Eynde ]
  * New upstream version 2.5.0
  * Refreshed patches
  * Added myself as uploader
  * Updated Standards-Version, no changes

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 05 Jan 2025 20:52:42 +0100

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # As soon as a new arch is bootstrapped, the lists should be updated.
 # See https://bugs.debian.org/954031
 ifeq (,$(filter amd64 arm64 armel armhf i386 kfreebsd-amd64 powerpc ppc64 ppc64el, $(DEB_HOST_ARCH)))
-ifneq (,$(filter riscv64 sh4, $(DEB_HOST_ARCH)))
+ifneq (,$(filter sh4, $(DEB_HOST_ARCH)))
         BOOTSTRAPLISP := /usr/bin/ecl --norc
 else
 	BOOTSTRAPLISP := /usr/bin/clisp -norc

## sbcl 2.5.1

=== debian/changelog ===
sbcl (2:2.5.1-1) unstable; urgency=medium

  * Update to new upstream version 2:2.5.1.
  * Standardise sub-make invocation for doc/manual.
  * Force non-parallel build for doc/manual (Closes: #1098645).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 23 Feb 2025 18:11:31 +0800

## sbcl 2.5.2

=== crossbuild-runner/Makefile ===
--- 
+++ 
@@ -23,6 +23,11 @@
 	$(SBCL) $(ARGS) arm64-reloc arm64 "(:UNIX :LINUX :ELF :LITTLE-ENDIAN :SB-THREAD :RELOCATABLE-STATIC-SPACE)" < $(SCRIPT1)
 obj/xbuild/arm64-reloc.core: obj/xbuild/arm64-reloc/xc.core
 	$(SBCL) $(ARGS) arm64-reloc < $(SCRIPT2)
+
+obj/xbuild/arm64-immobile-space/xc.core: $(DEPS1)
+	$(SBCL) $(ARGS) arm64-immobile-space arm64 "(:UNIX :LINUX :ELF :LITTLE-ENDIAN :SB-THREAD :IMMOBILE-SPACE)" < $(SCRIPT1)
+obj/xbuild/arm64-immobile-space.core: obj/xbuild/arm64-immobile-space/xc.core
+	$(SBCL) $(ARGS) arm64-immobile-space < $(SCRIPT2)
 
 obj/xbuild/mips/xc.core: $(DEPS1)
 	$(SBCL) $(ARGS) mips mips "(:UNIX :LINUX :ELF :LARGEFILE :LITTLE-ENDIAN)" < $(SCRIPT1)

=== tools-for-build/Makefile ===
--- 
+++ 
@@ -17,7 +17,10 @@
 
 all: grovel-headers determine-endianness where-is-mcontext mmap-rwx avx2
 
+perfecthash: ../src/runtime/perfecthash.c
+	$(CC) -DDEFINE_MAIN $(LINKFLAGS) $(CPPFLAGS) $(CFLAGS) -o $@ $^
+
 clean:
-	rm -f *.o grovel-headers determine-endianness where-is-mcontext mmap-rwx avx2
+	rm -f *.o grovel-headers determine-endianness where-is-mcontext mmap-rwx avx2 perfecthash
 	rm -f *.exe
 	rm -fr *.dSYM

=== debian/changelog ===
sbcl (2:2.5.2-1) unstable; urgency=medium

  * Update to new upstream version 2:2.5.2.
  * Add procps to autopkgtest deps.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 02 Mar 2025 11:38:42 +0800

=== debian/rules ===
--- 
+++ 
@@ -67,7 +67,7 @@
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	make -C doc/internals all html
-	cd doc/manual && make docstrings && make
+	make -j1 -C doc/manual
 endif
 
 # Run the testsuite, and fail on errors only on amd64, arm64 and i386

## sbcl 2.5.7

=== debian/changelog ===
sbcl (2:2.5.7-1) unstable; urgency=medium

  * Update to new upstream version 2.5.7.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 19 Aug 2025 12:01:59 +0100

## sbcl 2.5.8

=== crossbuild-runner/Makefile ===
--- 
+++ 
@@ -5,62 +5,62 @@
 DEPS1=crossbuild-runner/pass-1.lisp src/cold/build-order.lisp-expr
 
 obj/xbuild/arm/xc.core: $(DEPS1)
-	$(SBCL) $(ARGS) arm arm "(:UNIX :LINUX :ELF :LITTLE-ENDIAN :LARGEFILE)" < $(SCRIPT1)
+	$(SBCL) $(ARGS) arm arm "(:UNIX :LINUX :ELF :OS-PROVIDES-CLOCK-GETTIME :LITTLE-ENDIAN :LARGEFILE)" < $(SCRIPT1)
 obj/xbuild/arm.core: obj/xbuild/arm/xc.core
 	$(SBCL) $(ARGS) arm < $(SCRIPT2)
 
 obj/xbuild/arm64/xc.core: $(DEPS1)
-	$(SBCL) $(ARGS) arm64 arm64 "(:UNIX :LINUX :ELF :LITTLE-ENDIAN :SB-THREAD)" < $(SCRIPT1)
+	$(SBCL) $(ARGS) arm64 arm64 "(:UNIX :LINUX :ELF :OS-PROVIDES-CLOCK-GETTIME :LITTLE-ENDIAN :SB-THREAD)" < $(SCRIPT1)
 obj/xbuild/arm64.core: obj/xbuild/arm64/xc.core
 	$(SBCL) $(ARGS) arm64 < $(SCRIPT2)
 
 obj/xbuild/arm64-darwin/xc.core: $(DEPS1)
-	$(SBCL) $(ARGS) arm64-darwin arm64 "(:DARWIN :BSD :UNIX :MACH-O :LITTLE-ENDIAN :SB-THREAD :DARWIN-JIT)" < $(SCRIPT1)
+	$(SBCL) $(ARGS) arm64-darwin arm64 "(:DARWIN :BSD :UNIX :MACH-O :LITTLE-ENDIAN :SB-THREAD :DARWIN-JIT :OS-PROVIDES-CLOCK-GETTIME)" < $(SCRIPT1)
 obj/xbuild/arm64-darwin.core: obj/xbuild/arm64-darwin/xc.core
 	$(SBCL) $(ARGS) arm64-darwin < $(SCRIPT2)
 
 obj/xbuild/arm64-reloc/xc.core: $(DEPS1)
-	$(SBCL) $(ARGS) arm64-reloc arm64 "(:UNIX :LINUX :ELF :LITTLE-ENDIAN :SB-THREAD :RELOCATABLE-STATIC-SPACE)" < $(SCRIPT1)
+	$(SBCL) $(ARGS) arm64-reloc arm64 "(:UNIX :LINUX :ELF :OS-PROVIDES-CLOCK-GETTIME :LITTLE-ENDIAN :SB-THREAD :RELOCATABLE-STATIC-SPACE :IMMOBILE-SPACE)" < $(SCRIPT1)
 obj/xbuild/arm64-reloc.core: obj/xbuild/arm64-reloc/xc.core
 	$(SBCL) $(ARGS) arm64-reloc < $(SCRIPT2)
 
 obj/xbuild/arm64-immobile-space/xc.core: $(DEPS1)
-	$(SBCL) $(ARGS) arm64-immobile-space arm64 "(:UNIX :LINUX :ELF :LITTLE-ENDIAN :SB-THREAD :IMMOBILE-SPACE)" < $(SCRIPT1)
+	$(SBCL) $(ARGS) arm64-immobile-space arm64 "(:UNIX :LINUX :ELF :OS-PROVIDES-CLOCK-GETTIME :LITTLE-ENDIAN :SB-THREAD :IMMOBILE-SPACE)" < $(SCRIPT1)
 obj/xbuild/arm64-immobile-space.core: obj/xbuild/arm64-immobile-space/xc.core
 	$(SBCL) $(ARGS) arm64-immobile-space < $(SCRIPT2)
 
 obj/xbuild/mips/xc.core: $(DEPS1)
-	$(SBCL) $(ARGS) mips mips "(:UNIX :LINUX :ELF :LARGEFILE :LITTLE-ENDIAN)" < $(SCRIPT1)
+	$(SBCL) $(ARGS) mips mips "(:UNIX :LINUX :ELF :OS-PROVIDES-CLOCK-GETTIME :LARGEFILE :LITTLE-ENDIAN)" < $(SCRIPT1)
 obj/xbuild/mips.core: obj/xbuild/mips/xc.core
 	$(SBCL) $(ARGS) mips < $(SCRIPT2)
 
 obj/xbuild/ppc/xc.core: $(DEPS1)
-	$(SBCL) $(ARGS) ppc ppc "(:UNIX :LINUX :ELF :BIG-ENDIAN)" < $(SCRIPT1)
+	$(SBCL) $(ARGS) ppc ppc "(:UNIX :LINUX :ELF :OS-PROVIDES-CLOCK-GETTIME :BIG-ENDIAN)" < $(SCRIPT1)
 obj/xbuild/ppc.core: obj/xbuild/ppc/xc.core
 	$(SBCL) $(ARGS) ppc < $(SCRIPT2)
 
 obj/xbuild/ppc-thread/xc.core: $(DEPS1)
-	$(SBCL) $(ARGS) ppc-thread ppc "(:UNIX :LINUX :ELF :BIG-ENDIAN :SB-THREAD)" < $(SCRIPT1)
+	$(SBCL) $(ARGS) ppc-thread ppc "(:UNIX :LINUX :ELF :OS-PROVIDES-CLOCK-GETTIME :BIG-ENDIAN :SB-THREAD)" < $(SCRIPT1)
 obj/xbuild/ppc-thread.core: obj/xbuild/ppc-thread/xc.core
 	$(SBCL) $(ARGS) ppc-thread < $(SCRIPT2)
 
 obj/xbuild/ppc64/xc.core: $(DEPS1)
-	$(SBCL) $(ARGS) ppc64 ppc64 "(:UNIX :LINUX :ELF :PPC64 :BIG-ENDIAN)" < $(SCRIPT1)
+	$(SBCL) $(ARGS) ppc64 ppc64 "(:UNIX :LINUX :ELF :OS-PROVIDES-CLOCK-GETTIME :PPC64 :BIG-ENDIAN)" < $(SCRIPT1)
 obj/xbuild/ppc64.core: obj/xbuild/ppc64/xc.core
 	$(SBCL) $(ARGS) ppc64 < $(SCRIPT2)
 
 obj/xbuild/riscv/xc.core: $(DEPS1)
-	$(SBCL) $(ARGS) riscv riscv "(:UNIX :LINUX :ELF :64-BIT :LITTLE-ENDIAN :SB-THREAD)" < $(SCRIPT1)
+	$(SBCL) $(ARGS) riscv riscv "(:UNIX :LINUX :ELF :OS-PROVIDES-CLOCK-GETTIME :64-BIT :LITTLE-ENDIAN :SB-THREAD)" < $(SCRIPT1)
 obj/xbuild/riscv.core: obj/xbuild/riscv/xc.core
 	$(SBCL) $(ARGS) riscv < $(SCRIPT2)
 
 obj/xbuild/sparc/xc.core: $(DEPS1)
-	$(SBCL) $(ARGS) sparc sparc "(:UNIX :LINUX :ELF :BIG-ENDIAN)" < $(SCRIPT1)
+	$(SBCL) $(ARGS) sparc sparc "(:UNIX :LINUX :ELF :OS-PROVIDES-CLOCK-GETTIME :BIG-ENDIAN)" < $(SCRIPT1)
 obj/xbuild/sparc.core: obj/xbuild/sparc/xc.core
 	$(SBCL) $(ARGS) sparc < $(SCRIPT2)
 
 obj/xbuild/sparc-sunos/xc.core: $(DEPS1)
-	$(SBCL) $(ARGS) sparc-sunos sparc "(:BIG-ENDIAN :UNIX :SUNOS :ELF)" < $(SCRIPT1)
+	$(SBCL) $(ARGS) sparc-sunos sparc "(:BIG-ENDIAN :UNIX :SUNOS :ELF :OS-PROVIDES-CLOCK-GETTIME)" < $(SCRIPT1)
 obj/xbuild/sparc-sunos.core: obj/xbuild/sparc-sunos/xc.core
 	$(SBCL) $(ARGS) sparc-sunos < $(SCRIPT2)
 
@@ -80,7 +80,7 @@
 	$(SBCL) $(ARGS) x86-thread < $(SCRIPT2)
 
 obj/xbuild/x86-linux/xc.core: $(DEPS1)
-	$(SBCL) $(ARGS) x86-linux x86 "(:LITTLE-ENDIAN :LARGEFILE :SB-THREAD :LINUX :UNIX :ELF :SB-THREAD)" < $(SCRIPT1)
+	$(SBCL) $(ARGS) x86-linux x86 "(:LITTLE-ENDIAN :LARGEFILE :SB-THREAD :LINUX :UNIX :ELF :SB-THREAD :OS-PROVIDES-CLOCK-GETTIME)" < $(SCRIPT1)
 obj/xbuild/x86-linux.core: obj/xbuild/x86-linux/xc.core
 	$(SBCL) $(ARGS) x86-linux < $(SCRIPT2)
 
@@ -90,12 +90,12 @@
 	$(SBCL) $(ARGS) x86-64 < $(SCRIPT2)
 
 obj/xbuild/x86-64-linux/xc.core: $(DEPS1)
-	$(SBCL) $(ARGS) x86-64-linux x86-64 "(:LINUX :UNIX :ELF :LITTLE-ENDIAN :AVX2 :GENCGC :SB-SIMD-PACK :SB-SIMD-PACK-256 (NOT :SB-EVAL) :SB-FASTEVAL)" < $(SCRIPT1)
+	$(SBCL) $(ARGS) x86-64-linux x86-64 "(:LINUX :UNIX :ELF :LITTLE-ENDIAN :AVX2 :GENCGC :SB-SIMD-PACK :SB-SIMD-PACK-256 (NOT :SB-EVAL) :SB-FASTEVAL :OS-PROVIDES-CLOCK-GETTIME)" < $(SCRIPT1)
 obj/xbuild/x86-64-linux.core: obj/xbuild/x86-64-linux/xc.core
 	$(SBCL) $(ARGS) x86-64-linux < $(SCRIPT2)
 
 obj/xbuild/x86-64-darwin/xc.core: $(DEPS1)
-	$(SBCL) $(ARGS) x86-64-darwin x86-64 "(:DARWIN :BSD :UNIX :MACH-O :LITTLE-ENDIAN :AVX2 :GENCGC :SB-SIMD-PACK :SB-SIMD-PACK-256)" < $(SCRIPT1)
+	$(SBCL) $(ARGS) x86-64-darwin x86-64 "(:DARWIN :BSD :UNIX :MACH-O :LITTLE-ENDIAN :AVX2 :GENCGC :SB-SIMD-PACK :SB-SIMD-PACK-256 :OS-PROVIDES-CLOCK-GETTIME)" < $(SCRIPT1)
 obj/xbuild/x86-64-darwin.core: obj/xbuild/x86-64-darwin/xc.core
 	$(SBCL) $(ARGS) x86-64-darwin < $(SCRIPT2)

=== tlsf-bsd/Makefile ===
OUT = build

TARGETS = \
	test-bits \
	test-alloc \
	bench-alloc
TARGETS := $(addprefix $(OUT)/,$(TARGETS))

all: $(TARGETS)

CC = gcc
CFLAGS = \
	-std=c99 -Wall -g -I tlsf \
	-D TLSF_CONFIG_ASSERT
LDFLAGS =

OBJS = tlsf.o
OBJS := $(addprefix $(OUT)/,$(OBJS))
deps := $(OBJS:%.o=%.o.d)

$(OUT)/test-%: $(OBJS) tests/test-%.c
	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)
deps += build/test-bits.d

$(OUT)/bench-%: $(OBJS) tests/bench-%.c
	$(CC) $(CFLAGS) -o $@ -MMD -MF $@.d $^ $(LDFLAGS)
# FIXME: avoid hardcode
deps += build/bench-alloc.d

$(OUT)/%.o: tlsf/%.c
	@mkdir -p $(OUT)
	$(CC) $(CFLAGS) -c -o $@ -MMD -MF $@.d $<

CMDSEP = ; echo "Please wait..." ;
check: $(TARGETS)
	MALLOC_CHECK_=3 $(foreach prog,$(TARGETS),./$(prog) $(CMDSEP))

clean:
	$(RM) $(TARGETS) $(OBJS) $(deps)

.PHONY: all check clean

-include $(deps)

=== contrib/sb-capstone/Makefile ===
SYSTEM=sb-capstone
include ../asdf-module.mk

=== contrib/sb-concurrency/Makefile ===
SYSTEM=sb-concurrency
include ../asdf-module.mk

=== contrib/sb-gmp/Makefile ===
SYSTEM=sb-gmp
include ../asdf-module.mk

=== contrib/sb-introspect/Makefile ===
SYSTEM=sb-introspect
include ../asdf-module.mk

=== contrib/sb-md5/Makefile ===
SYSTEM=sb-md5
include ../asdf-module.mk

=== contrib/sb-mpfr/Makefile ===
SYSTEM=sb-mpfr
include ../asdf-module.mk

=== contrib/sb-posix/Makefile ===
SYSTEM=sb-posix
include ../asdf-module.mk

=== contrib/sb-queue/Makefile ===
SYSTEM=sb-queue
include ../asdf-module.mk

=== contrib/sb-simd/Makefile ===
SYSTEM=sb-simd
include ../asdf-module.mk

=== contrib/sb-simple-streams/Makefile ===
SYSTEM=sb-simple-streams
include ../asdf-module.mk

=== debian/changelog ===
sbcl (2:2.5.8-1) unstable; urgency=medium

  * Update to new upstream version 2.5.8.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 04 Sep 2025 15:18:56 +0100

=== debian/tests/control ===
Test-Command: cd tests && env TEST_SBCL_HOME=/usr/lib/sbcl TEST_SBCL_RUNTIME=/usr/bin/sbcl TEST_SBCL_CORE=/usr/lib/sbcl/sbcl.core ASDF_OUTPUT_TRANSLATIONS="/:${AUTOPKGTEST_TMP}" C_INCLUDE_PATH=/usr/share/sbcl-source/src/runtime/ ./run-tests.sh
Depends: sbcl, sbcl-source, gcc, libc6-dev | libc-dev, ed, strace, procps
Restrictions: allow-stderr

## sbcl 2.5.10

=== crossbuild-runner/Makefile ===
--- 
+++ 
@@ -100,7 +100,7 @@
 	$(SBCL) $(ARGS) x86-64-darwin < $(SCRIPT2)
 
 obj/xbuild/x86-64-imm/xc.core: $(DEPS1)
-	$(SBCL) $(ARGS) x86-64-imm x86-64 "(:WIN32 :SB-THREAD :SB-SAFEPOINT :LITTLE-ENDIAN :AVX2 :GENCGC :SB-SIMD-PACK :SB-SIMD-PACK-256 :IMMOBILE-SPACE)" < $(SCRIPT1)
+	$(SBCL) $(ARGS) x86-64-imm x86-64 "(:WIN32 :SB-THREAD :SB-SAFEPOINT :LITTLE-ENDIAN :AVX2 :GENCGC :SB-SIMD-PACK :SB-SIMD-PACK-256 :IMMOBILE-SPACE (NOT :SB-UNICODE))" < $(SCRIPT1)
 obj/xbuild/x86-64-imm.core: obj/xbuild/x86-64-imm/xc.core
 	$(SBCL) $(ARGS) x86-64-imm < $(SCRIPT2)

=== contrib/sb-executable/Makefile ===
SYSTEM=sb-executable
include ../asdf-module.mk

=== contrib/sb-rt/Makefile ===
SYSTEM=sb-rt
include ../asdf-module.mk

=== debian/changelog ===
sbcl (2:2.5.10-1) unstable; urgency=medium

  * Update to new upstream version 2.5.10.
  * Skip chill.impure.lisp tests under autopkgtest.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 11 Nov 2025 15:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: sbcl
 Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
-Uploaders: Sean Whitton <spwhitton@spwhitton.name>
+Uploaders: Sean Whitton <spwhitton@spwhitton.name>, 
+           Peter Van Eynde <pvaneynd@debian.org> 
 Section: lisp
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -23,7 +24,7 @@
                netbase,
                ed,
                strace [!kfreebsd-amd64 !kfreebsd-i386]
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/sbcl
 Vcs-Git: https://salsa.debian.org/common-lisp-team/sbcl.git
 Homepage: http://www.sbcl.org

## sbcl 2.5.11

=== debian/changelog ===
sbcl (2:2.5.11-1) unstable; urgency=medium

  * Update to new upstream version 2.5.11.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 19 Dec 2025 12:37:05 +0000

## sbcl 2.6.0

=== debian/changelog ===
sbcl (2:2.6.0-1) unstable; urgency=medium

  * Update to new upstream version 2.6.0.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 29 Dec 2025 18:30:38 +0000
